Subject: Ticket Assigned - Article Feedback - Is my account and payment information secure?
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Sun, 11 Dec 2022 10:23:55 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Is my account and payment information secure? Feedback for:  Is my account and payment information secure? For some reason I don’t have access to my account , and I’m unable to reset the password. I have items that I have chosen to buy but now I don’t know what will happen https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5433043